RTEMS: tms570_dma_t Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
tms570_dma_t Struct Reference

## Data Fields
uint32_t | GCTRL
uint32_t | PEND
uint8_t | reserved1 [4]
uint32_t | DMASTAT
uint8_t | reserved2 [4]
uint32_t | HWCHENAS
uint8_t | reserved3 [4]
uint32_t | HWCHENAR
uint8_t | reserved4 [4]
uint32_t | SWCHENAS
uint8_t | reserved5 [4]
uint32_t | SWCHENAR
uint8_t | reserved6 [4]
uint32_t | CHPRIOS
uint8_t | reserved7 [4]
uint32_t | CHPRIOR
uint8_t | reserved8 [4]
uint32_t | GCHIENAS
uint8_t | reserved9 [4]
uint32_t | GCHIENAR
uint8_t | reserved10 [4]
uint32_t | DREQASI [4]
uint8_t | reserved11 [48]
uint32_t | PAR0
uint32_t | PAR1
uint8_t | reserved12 [24]
uint32_t | FTCMAP
uint8_t | reserved13 [4]
uint32_t | LFSMAP
uint8_t | reserved14 [4]
uint32_t | HBCMAP
uint8_t | reserved15 [4]
uint32_t | BTCMAP
uint8_t | reserved16 [4]
uint32_t | BERMAP
uint8_t | reserved17 [4]
uint32_t | FTCINTENAS
uint8_t | reserved18 [4]
uint32_t | FTCINTENAR
uint8_t | reserved19 [4]
uint32_t | LFSINTENAS
uint8_t | reserved20 [4]
uint32_t | LFSINTENAR
uint8_t | reserved21 [4]
uint32_t | HBCINTENAS
uint8_t | reserved22 [4]
uint32_t | HBCINTENAR
uint8_t | reserved23 [4]
uint32_t | BTCINTENAS
uint8_t | reserved24 [4]
uint32_t | BTCINTENAR
uint8_t | reserved25 [4]
uint32_t | GINTFLAG
uint8_t | reserved26 [4]
uint32_t | FTCFLAG
uint8_t | reserved27 [4]
uint32_t | LFSFLAG
uint8_t | reserved28 [4]
uint32_t | HBCFLAG
uint8_t | reserved29 [4]
uint32_t | BTCFLAG
uint8_t | reserved30 [4]
uint32_t | BERFLAG
uint8_t | reserved31 [4]
uint32_t | FTCAOFFSET
uint32_t | LFSAOFFSET
uint32_t | HBCAOFFSET
uint32_t | BTCAOFFSET
uint32_t | BERAOFFSET
uint32_t | FTCBOFFSET
uint32_t | LFSBOFFSET
uint32_t | HBCBOFFSET
uint32_t | BTCBOFFSET
uint32_t | BERBOFFSET
uint8_t | reserved32 [4]
uint32_t | PTCRL
uint32_t | RTCTRL
uint32_t | DCTRL
uint32_t | WPR
uint32_t | WMR
uint8_t | reserved33 [12]
uint32_t | PBACSADDR
uint32_t | PBACDADDR
uint32_t | PBACTC
uint8_t | reserved34 [4]
uint32_t | DMAPCR
uint32_t | DMAPAR
uint32_t | DMAMPCTRL
uint32_t | DMAMPST
tms570_memory_prot_t | DMAMPROS [4]

The documentation for this struct was generated from the following file:

- bsps/arm/tms570/include/bsp/ti_herc/reg_dma.h